API Reference
Warehouses
Warehouse and fulfillment locations.
5 endpoints· Auth: API Key
get
/api/v1/store/integrations/warehouses API KeyGet warehouses
Query parameters
| page integer (int32) | — |
| per_page integer (int32) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/warehouses" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/store/integrations/warehouses API KeyCreate warehouses
Request body
application/json
{
"name": "string",
"phone": "string",
"address": "string",
"lat": 0,
"lng": 0
}| name string | — |
| phone string | — |
| address string | — |
| lat number (double) | — |
| lng number (double) | — |
Responses
200Success
cURL
curl -X POST "https://stagging-api.sendyiq.com/api/v1/store/integrations/warehouses" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"phone": "string",
"address": "string",
"lat": 0,
"lng": 0
}' Try itagainst staging · https://stagging-api.sendyiq.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/store/integrations/warehouses/{warehouseId} API KeyGet warehouseId
Path parameters
| warehouseIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://stagging-api.sendyiq.com/api/v1/store/integrations/warehouses/{warehouseId}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu
put
/api/v1/store/integrations/warehouses/{warehouseId} API KeyUpdate warehouseId
Path parameters
| warehouseIdrequired string (uuid) | — |
Request body
application/json
{
"name": "string",
"phone": "string",
"address": "string",
"lat": 0,
"lng": 0
}| name string | — |
| phone string | — |
| address string | — |
| lat number (double) | — |
| lng number (double) | — |
Responses
200Success
cURL
curl -X PUT "https://stagging-api.sendyiq.com/api/v1/store/integrations/warehouses/{warehouseId}" \
-H "Content-Type: application/json" \
-H "X-API-Key: <YOUR_API_KEY>" \
-d '{
"name": "string",
"phone": "string",
"address": "string",
"lat": 0,
"lng": 0
}' Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
delete
/api/v1/store/integrations/warehouses/{warehouseId} API KeyDelete warehouseId
Path parameters
| warehouseIdrequired string (uuid) | — |
Responses
200Success
cURL
curl -X DELETE "https://stagging-api.sendyiq.com/api/v1/store/integrations/warehouses/{warehouseId}" \
-H "X-API-Key: <YOUR_API_KEY>" Try itagainst staging · https://stagging-api.sendyiq.com
Path parameters
Set credentials in the “Authorize” menu